- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# EdgeBleeding Class Reference

Search for all occurrences

## Detailed Description

Definition at line 63 of file EdgeBleeding.h.

`#include <EdgeBleeding.h>`

Inheritance diagram for EdgeBleeding:
[legend]

List of all members.

## Public Member Functions
| Q_DECLARE_TR_FUNCTIONS (EdgeBleeding)
| EdgeBleeding (void)
## Static Public Member Functions
static void | Initializer ()
static void | FillBleedingAreas (void)
static void | FillBleedingAreas (bool bBlend)
static void | FillBleedingAreas (mudbox::Mesh *pMesh, mudbox::TexturePool *pTexture, bool bBlend=false)
static void | FillBleedingAreasForTriangle (mudbox::Mesh *pMesh, mudbox::TexturePool *pTP, bool bBlend=false)
## Public Attributes
| DECLARE_CLASS

## Constructor & Destructor Documentation

EdgeBleeding | ( | void |  | ) |

## Member Function Documentation

Q_DECLARE_TR_FUNCTIONS | ( | EdgeBleeding |  | ) |

Search for all occurrences

static void Initializer | ( |  | ) | `[static]`

Search for all occurrences

static void FillBleedingAreas | ( | void |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 73 of file EdgeBleeding.h.

    { FillBleedingAreas( false ); }

static void FillBleedingAreas | ( | bool | bBlend | ) | `[static]`

Search for all occurrences

static void FillBleedingAreas | ( | mudbox::Mesh * | pMesh,
|  | mudbox::TexturePool * | pTexture,
|  | bool | bBlend = `false`
| ) |  | `[static]`

Search for all occurrences

static void FillBleedingAreasForTriangle | ( | mudbox::Mesh * | pMesh,
|  | mudbox::TexturePool * | pTP,
|  | bool | bBlend = `false`
| ) |  | `[static]`

Search for all occurrences

## Member Data Documentation

DECLARE_CLASS

Search for all occurrences

Reimplemented from Node.

Definition at line 68 of file EdgeBleeding.h.

The documentation for this class was generated from the following file:

- EdgeBleeding/EdgeBleeding.h

EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding
EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding EdgeBleeding